### Hierarchy

- RpcKeyPair

### Implements

- RemoteKeyPairHelper

## Index

### Constructors

- constructor

### Methods

- checkSig
- createKeyPair
- decryptFields
- decryptFile
- decryptMessage
- encryptFields
- encryptFile
- encryptMessage
- encryptPermissionsFields
- generateMnemonicPhrase
- getAccessToken
- getPublicKey
- setAccessToken
- signMessage

## Constructors

### constructor

- new RpcKeyPair(rpcTransport: RpcTransport): RpcKeyPair

- - Defined in utils/keypair/rpc/RpcKeyPair.ts:21

  #### Parameters

  - ##### rpcTransport: RpcTransport

  #### Returns RpcKeyPair

## Methods

### checkSig

- checkSig(data: string, sig: string): Promise<boolean>

- Implementation of RemoteKeyPairHelper.checkSig

  - Defined in utils/keypair/rpc/RpcKeyPair.ts:45

  #### Parameters

  - ##### data: string

  - ##### sig: string

  #### Returns Promise<boolean>

### createKeyPair

- createKeyPair(passPhrase: string): Promise<KeyPair>

- Implementation of RemoteKeyPairHelper.createKeyPair

  - Defined in utils/keypair/rpc/RpcKeyPair.ts:27

  #### Parameters

  - ##### passPhrase: string

  #### Returns Promise<KeyPair>

### decryptFields

- decryptFields(fields: Map<string, string>, passwords?: Map<string, string>): Promise<Map<string, string>>

- Implementation of RemoteKeyPairHelper.decryptFields

  - Defined in utils/keypair/rpc/RpcKeyPair.ts:81

  #### Parameters

  - ##### fields: Map<string, string>

  - ##### Optional passwords: Map<string, string>

  #### Returns Promise<Map<string, string>>

### decryptFile

- decryptFile(file: string, fieldName: string, password?: string): Promise<string>

- Implementation of RemoteKeyPairHelper.decryptFile

  - Defined in utils/keypair/rpc/RpcKeyPair.ts:99

  #### Parameters

  - ##### file: string

  - ##### fieldName: string

  - ##### Optional password: string

  #### Returns Promise<string>

### decryptMessage

- decryptMessage(senderPk: string, encrypted: string): Promise<string>

- Implementation of RemoteKeyPairHelper.decryptMessage

  - Defined in utils/keypair/rpc/RpcKeyPair.ts:74

  #### Parameters

  - ##### senderPk: string

  - ##### encrypted: string

  #### Returns Promise<string>

### encryptFields

- encryptFields(fields: Map<string, string>): Promise<Map<string, string>>

- Implementation of RemoteKeyPairHelper.encryptFields

  - Defined in utils/keypair/rpc/RpcKeyPair.ts:60

  #### Parameters

  - ##### fields: Map<string, string>

  #### Returns Promise<Map<string, string>>

### encryptFile

- encryptFile(file: string, fieldName: string): Promise<string>

- Implementation of RemoteKeyPairHelper.encryptFile

  - Defined in utils/keypair/rpc/RpcKeyPair.ts:92

  #### Parameters

  - ##### file: string

  - ##### fieldName: string

  #### Returns Promise<string>

### encryptMessage

- encryptMessage(recipientPk: string, message: string): Promise<string>

- Implementation of RemoteKeyPairHelper.encryptMessage

  - Defined in utils/keypair/rpc/RpcKeyPair.ts:53

  #### Parameters

  - ##### recipientPk: string

  - ##### message: string

  #### Returns Promise<string>

### encryptPermissionsFields

- encryptPermissionsFields(recipient: string, data: Map<string, AccessRight>): Promise<string>

- Implementation of RemoteKeyPairHelper.encryptPermissionsFields

  - Defined in utils/keypair/rpc/RpcKeyPair.ts:67

  #### Parameters

  - ##### recipient: string

  - ##### data: Map<string, AccessRight>

  #### Returns Promise<string>

### generateMnemonicPhrase

- generateMnemonicPhrase(): Promise<string>

- Implementation of RemoteKeyPairHelper.generateMnemonicPhrase

  - Defined in utils/keypair/rpc/RpcKeyPair.ts:33

  #### Returns Promise<string>

### getAccessToken

- getAccessToken(): string

- Implementation of RemoteKeyPairHelper.getAccessToken

  - Defined in utils/keypair/rpc/RpcKeyPair.ts:111

  #### Returns string

### getPublicKey

- getPublicKey(): string

- Implementation of RemoteKeyPairHelper.getPublicKey

  - Defined in utils/keypair/rpc/RpcKeyPair.ts:49

  #### Returns string

### setAccessToken

- setAccessToken(accessToken: string): void

- Implementation of RemoteKeyPairHelper.setAccessToken

  - Defined in utils/keypair/rpc/RpcKeyPair.ts:107

  #### Parameters

  - ##### accessToken: string

  #### Returns void

### signMessage

- signMessage(data: string): Promise<string>

- Implementation of RemoteKeyPairHelper.signMessage

  - Defined in utils/keypair/rpc/RpcKeyPair.ts:41

  #### Parameters

  - ##### data: string

  #### Returns Promise<string>

Generated using TypeDoc